package com.paysafecard.merchant.tests;

import java.util.ArrayList;
import java.util.HashMap;

import com.paysafecard.merchant.Log;
import junit.framework.TestCase;

public class LogTest extends TestCase {

	public void testAddLogType(){
		Log.addLogType("info");
		assertTrue("Should be true.", Log.doesLogTypeExist("info"));
	}
	
	public void testAddLogTypeFalse(){
		assertFalse("Should be false.", Log.doesLogTypeExist("NotExistent"));
	}
	
	public void testAddLog(){
		Log.addLogType("test");
		Log.addLog("test", "testCall", "none", "none", "test");
		ArrayList<HashMap<String, String>> logResult = Log.getLog("test");
		assertTrue("Should be true.", Log.doesLogTypeExist("test"));
		assertEquals("Should return test", "test", logResult.get(0).get("msg"));
		assertEquals("Should return testCall", "testCall", logResult.get(0).get("action"));
		assertEquals("Should return none", "none", logResult.get(0).get("action_params"));
		assertEquals("Should return none", "none", logResult.get(0).get("result"));
	}
}
